# HG changeset patch
# User Carnë Draug <carandraug@octave.org>
# Date 1470774983 -3600
#      Tue Aug 09 21:36:23 2016 +0100
# Node ID dfb49a84c0e4910d2ac4ecdc57f206d5729ca18c
# Parent  867b177af1fe0207c62f8cb12333f4437a1bc7c5
libinterp/corefcn/gsvd.cc: clean up #include's removing what's not needed.

diff -r 867b177af1fe -r dfb49a84c0e4 libinterp/corefcn/gsvd.cc
--- a/libinterp/corefcn/gsvd.cc	Tue Aug 09 21:34:53 2016 +0100
+++ b/libinterp/corefcn/gsvd.cc	Tue Aug 09 21:36:23 2016 +0100
@@ -19,14 +19,19 @@
 #  include <config.h>
 #endif
 
+#include "dMatrix.h"
+#include "CMatrix.h"
+#include "dDiagMatrix.h"
+#include "gsvd.h"
+
 #include "defun.h"
+#include "defun-int.h"
 #include "error.h"
-#include "gripes.h"
-#include "pr-output.h"
+#include "errwarn.h"
 #include "utils.h"
 #include "ovl.h"
+#include "ov.h"
 
-#include "gsvd.h"
 
 template <typename T>
 static typename gsvd<T>::Type
